Bug 1133706

Summary: vim... isn't (thinks it is vi)
Product: [Fedora] Fedora Reporter: Matthew Woehlke <mwoehlke.floss>
Component: vimAssignee: Karsten Hopp <karsten>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 20CC: ignatenko, karsten, moshima.web
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: vim-7.4.417-1.fc19 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-08-28 15:31:52 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Matthew Woehlke 2014-08-25 22:39:53 UTC
Description of problem:
/usr/bin/vim is no longer processing /etc/vimrc; it appears that it is always being started in vi-compatibility mode.

Version-Release number of selected component (if applicable):
vim-common-7.4.402-1.fc20.x86_64

How reproducible:
Always

Steps to Reproduce:
1. /usr/bin/vim -V

Actual results:
sourcing "/etc/virc"

Expected results:
sourcing "/etc/vimrc"

Additional info:
vim-common-7.4.179-1.fc19.x86_64 behaves as expected. This likely broke in a recent patch.

Comment 1 Matthew Woehlke 2014-08-25 22:46:04 UTC
vim-common-7.4.192-1.fc20.x86_64 (the previous F20 build) also works as expected.

Comment 2 Fedora Update System 2014-08-26 15:37:50 UTC
vim-7.4.417-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc20

Comment 3 Fedora Update System 2014-08-26 15:38:14 UTC
vim-7.4.417-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/vim-7.4.417-1.fc19

Comment 4 Matthew Woehlke 2014-08-26 16:23:28 UTC
Confirmed fixed in vim-7.4.417-1.fc20. Thanks for the quick fix!

(Curiously, 'vim -V' seems to not fully respect vimrc, despite claiming to parse it, but this is minor and likely an upstream bug. Also, the same behavior is seen in vim-common-7.4.179-1.fc19.x86_64, so it's not a recent regression.)

Comment 5 Fedora Update System 2014-08-28 15:29:28 UTC
Package vim-7.4.417-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing vim-7.4.417-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9807/vim-7.4.417-1.fc19
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-28 15:31:52 UTC
vim-7.4.417-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2014-09-19 10:05:38 UTC
vim-7.4.417-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.